Package help.validator.model

# Class TOCItemDefinition

java.lang.Object
help.validator.model.TOCItem
help.validator.model.TOCItemDefinition

public class TOCItemDefinition extends TOCItem
A representation of the <tocdef> tag, which is a way to define a TOC item entry in a TOC_Source.xml file.

- ## Field Summary

  ### Fields inherited from class help.validator.model.TOCItem

  `INDENTS, parentItem, targetAttribute, textAttribute, TOC_ITEM_CLOSE_TAG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TOCItemDefinition(TOCItem parentItem, Path sourceTOCFile, String ID, String text, String target, String sortPreference, int lineNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generateTOCItemTag(LinkDatabase linkDatabase, boolean isInlineTag, int indentLevel)`
  `String`
  `toString()`
  `boolean`
  `validate(LinkDatabase linkDatabase)`

  ### Methods inherited from class help.validator.model.TOCItem

  `addChild, childCount, equals, generateEndTag, getChildren, getIDAttribute, getLineNumber, getParent, getSortPreference, getSourceFile, getTargetAttribute, getTextAttribute, hashCode, isEquivalent, printChildren, printChildren, removeChild, writeContents, writeContents`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TOCItemDefinition

    public TOCItemDefinition(TOCItem parentItem, Path sourceTOCFile, String ID, String text, String target, String sortPreference, int lineNumber)

- ## Method Details

  - ### validate

    public boolean validate(LinkDatabase linkDatabase)
    Specified by:
      `validate` in class `TOCItem`

  - ### generateTOCItemTag

    public String generateTOCItemTag(LinkDatabase linkDatabase, boolean isInlineTag, int indentLevel)
    Overrides:
      `generateTOCItemTag` in class `TOCItem`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`